import { Module } from '@nestjs/common';
import { MongooseModule } from '@nestjs/mongoose';
import { Episode, EpisodeSchema } from 'schemas/entity/episode.entity';
import { AppService } from './app.service';
import { EpisodeService } from './episode/episode.service';

@Module({
  imports: [
    MongooseModule.forFeature([{ name: Episode.name, schema: EpisodeSchema }]),
    MongooseModule.forRoot('mongodb://localhost:27017/test')
  ],
  providers: [AppService, EpisodeService],
})
export class AppModule {}
