import { Injectable } from '@nestjs/common';
import { InjectModel } from '@nestjs/mongoose';
import { Model } from 'mongoose';
import { CreateEpisodeDto } from 'schemas/dto/create-episode.dto';
import { Episode, EpisodeDocument } from 'schemas/entity/episode.entity';

@Injectable()
export class EpisodeService {
  constructor(
    @InjectModel(Episode.name) private episodeModel: Model<EpisodeDocument>,
  ) {}
  async create(createEpisodeDto: CreateEpisodeDto): Promise<Episode> {
    const createdEpisode = new this.episodeModel(createEpisodeDto);
    return createdEpisode.save();
  }

  async findAll(): Promise<Episode[]> {
    return this.episodeModel.find().exec();
  }
}
